> ## Documentation Index
> Fetch the complete documentation index at: https://whitebit-mintlify-fix-broken-links-1773965358.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Query executed order deals



## OpenAPI

````yaml /openapi/private/http-trade-v4.yaml POST /api/v4/trade-account/order
openapi: 3.0.3
info:
  title: Private HTTP API V4 - Collateral Trading
  description: |
    WhiteBIT Private HTTP API V4 for collateral/margin trading operations.

    Base URL: https://whitebit.com

    All endpoints return time in Unix-time format.
    All endpoints return either a JSON object or array.
    For receiving responses from API calls please use http method POST.

    Authentication required for all endpoints.
  version: 4.0.0
  license:
    name: WhiteBIT Terms of Service
    url: https://whitebit.com/terms
servers:
  - url: https://whitebit.com
    description: WhiteBIT Global Server
  - url: https://whitebit.eu
    description: WhiteBIT EU Server
security: []
tags:
  - name: Collateral Trading
    description: Endpoints for collateral/margin trading operations
  - name: Spot Trading
    description: Endpoints for spot trading operations
  - name: Market Fee
    description: Endpoints for querying trading fees
paths:
  /api/v4/trade-account/order:
    post:
      tags:
        - Spot Trading
      summary: Query executed order deals
      description: |
        The endpoint retrieves deals for a specific order.

        <Warning>
        Rate limit: 12000 requests/10 sec.
        </Warning>
      operationId: getOrderDeals
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - orderId
                - request
                - nonce
              properties:
                orderId:
                  type: integer
                  example: 3134995325
                offset:
                  type: integer
                  default: 0
                  example: 0
                limit:
                  type: integer
                  default: 50
                  example: 50
                request:
                  type: string
                  example: '{{request}}'
                nonce:
                  type: string
                  example: '{{nonce}}'
      responses:
        '200':
          description: Successful response - returns paginated order deals
          content:
            application/json:
              schema:
                type: object
                properties:
                  records:
                    type: array
                    description: Array of deal records
                    items:
                      type: object
                      properties:
                        time:
                          type: number
                          description: Timestamp of executed order
                          example: 1593342324.613711
                        fee:
                          type: string
                          description: Fee paid
                          example: '0.00000419198'
                        price:
                          type: string
                          description: Deal price
                          example: '0.00000701'
                        amount:
                          type: string
                          description: Amount in stock
                          example: '598'
                        id:
                          type: integer
                          description: Deal identifier
                          example: 149156519
                        dealOrderId:
                          type: integer
                          description: Completed order identifier
                          example: 3134995325
                        clientOrderId:
                          type: string
                          description: >-
                            Custom order identifier. Empty string if not
                            specified
                          example: customId11
                        role:
                          type: integer
                          description: Role in the deal (1 - maker, 2 - taker)
                          enum:
                            - 1
                            - 2
                          example: 2
                        deal:
                          type: string
                          description: Amount in money
                          example: '0.00419198'
                        feeAsset:
                          type: string
                          description: Fee asset
                          example: USDT
                        rpi:
                          type: boolean
                          description: Retail Price Improvement flag
                          example: true
                  offset:
                    type: integer
                    description: Number of records skipped
                    example: 0
                  limit:
                    type: integer
                    description: Number of records per page
                    example: 100
              example:
                records:
                  - time: 1593342324.613711
                    fee: '0.00000419198'
                    price: '0.00000701'
                    amount: '598'
                    id: 149156519
                    dealOrderId: 3134995325
                    clientOrderId: customId11
                    role: 2
                    deal: '0.00419198'
                    feeAsset: USDT
                    rpi: true
                offset: 0
                limit: 100
        '400':
          description: Inner validation failed
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '422':
          description: Request validation failed
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '503':
          description: Service temporarily unavailable
      security:
        - ApiKeyAuth: []
components:
  schemas:
    ErrorResponse:
      type: object
      properties:
        code:
          type: integer
          description: Error code
          example: 30
        message:
          type: string
          description: Error message
          example: Validation failed
        errors:
          type: object
          additionalProperties:
            type: array
            items:
              type: string
          description: Detailed error information
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-TXC-APIKEY
      description: |
        API Key authentication for private endpoints.

        Required headers:
        - X-TXC-APIKEY: API key
        - X-TXC-PAYLOAD: Base64 encoded JSON payload
        - X-TXC-SIGNATURE: HMAC SHA512 signature

````